Subject: bug#39023: binary installation manual doesn't work on Alpine Linux

From: Gábor Boskovits <[email-masked]>
Date: Wed, 22 Jan 2020 21:03:04 +0100

Tobias Geerinckx-Rice <[email-masked]> ezt írta (időpont: 2020. jan.
22., Sze, 20:58):
>
> Gábor,
>
> Gábor Boskovits 写道：
> > Oops, I missed that.
>
> I'm suprised I haven't confused add* & *add once so far in this
> thread :-)

Yes, I am also a bit confused.

>
> > There was some upstream discussion to get useradd and groupadd
> > to
> > busybox upstream,
> > as this seems to be causing problems everywhere. They told that
> > they
> > are unwilling to include them as is,
> > but would accept a wrapper thar forward to their
> > adduser/addgroup
> > implementation.
>
> I don't know which discussion you're referring to, and much might
> have changed since 2016, but I read this[0] to mean the opposite:
> Busybox should provide the shadow-compatible *add variants, and
> reimplement their old add* as simple wrappers around that.  That's
> from an upstream(ish) person.
>
>   “adduser/addgroup tend to be symlinks or wrappers, if they exist
>   at
>    all, but by and large are deprecated.  busybox should implement
>    applets that mimic shadow here and deprecate the old ones, if
>    not
>    throw them out. although we can probably rename & massage the
>    sources in these cases”
>
> Still, Busybox *add patches welcome, it would seem.  We'll still
> have to deal with this for the lifetime of the older version.

Yes, I referred to this, but I might have misunderstood something.

>
> Kind regards,
>
> T G-R
>
> [0]:
> http://lists.busybox.net/pipermail/busybox/2016-February/083909.html

-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21